DefaultExcludeRule
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.module.descriptor
Class DefaultExcludeRule

    java.lang.Object
      org.apache.ivy.util.extendable.UnmodifiableExtendableItem
          org.apache.ivy.core.module.descriptor.AbstractIncludeExcludeRule
              org.apache.ivy.core.module.descriptor.DefaultExcludeRule

All Implemented Interfaces:
  ConfigurationAware, ExcludeRule, ExtendableItem

    public class DefaultExcludeRule

extends AbstractIncludeExcludeRule
implements ExcludeRule

Constructor Summary
`DefaultExcludeRule(ArtifactId aid, PatternMatcher matcher, java.util.Map extraAttributes)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ivy.core.module.descriptor.AbstractIncludeExcludeRule
`addConfiguration, equals, getConfigurations, getId, getMatcher, hashCode`

Methods inherited from class org.apache.ivy.util.extendable.UnmodifiableExtendableItem
`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes, setExtraAttribute, setStandardAttribute`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ivy.core.module.descriptor.ExcludeRule
`getConfigurations, getId, getMatcher`

Methods inherited from interface org.apache.ivy.util.extendable.ExtendableItem
`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes`

Constructor Detail

### DefaultExcludeRule

    public DefaultExcludeRule(ArtifactId aid,
                              PatternMatcher matcher,
                              java.util.Map extraAttributes)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractIncludeExcludeRule`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD